plugindistrict

plugindistrict supports this item

Supported

This author's response time can be up to 5 business days.

140 comments found.

Hello, i got the error when active. Please help:

Fatal error: Cannot redeclare custom_override_checkout_fields() (previously declared in /home/myweb/public_html/wp-content/plugins/woo-phone-input-plugin/woo-phone-input.php:77) in /home/myweb/public_html/wp-content/plugins/wc-digi-checkout-websmacker INSTALL/woocommerce-checkout-downloads.php on line 46

woo-phone-input-plugin/woo-phone-input: This plugin work fine, just got this note when active your plugin.
Thanks

Hi Julia – it must be conflicting with another plugin you have. Please send me a PM via my profile page and Ill send you a new version. Thanks!

Hi. There is around 2 years you did not update, can you take time update it work similar themeforest? No any any user info if they are loged in (if they are not log-in will input these info similar deaful plugin now) ==> So if user loged will direct see product view and payment, no any info personal. Is it avaiable next update please?

Hi A few questions before purchase: 1. I see there are no updates for over a year…Can I installed it with the latest versions of WP and woocommerce? 2. I need it in a hebrew website, can it be translated and adapted to RTL ? 3. Can the payment for the digital books be made by PayPal ?

Thanks

1) Yes, it works with the latest. We haven’t had any issues which is why no updates. If not broke don’t fix it right :)

2) Not sure what you are asking – this plugin doesn’t display anything to translate. All it does is remove fields from the checkout page.

3) Yes, this is out of the box feature for WooCommerce to set up paypal as a payment gateway.

Thanks! Dan

I purchased the plugin but there are no instructions in the zip file I downloaded. The only files there are a “Licensing” folder with a GPL.txt and README_License.txt files. The other file is named “woocommerce-checkout-downloads.php”. I have dowloaded the zip file twice but still getting the same files. Where can I find installation instructions for this plugin asap please?

1) Download the zip file, but do not unzip it, leave it zipped
2) Go to the wordpress admin panel and click plugins
3) Click Add Plugin
4) Click upload plugin
5) Browse to the location you have the zip file and select it and click ok
6) Activate the plugin
7) DONE!

Let me know if this doesn’t help. Thanks!

I was able to install it. I’m so used to first downloading a zip that I must first unzip in order to get to the actual zip file that needs to be uploaded that I didn’t even realize that you took that step out of the equation and made it easier for us. Thanks so much for your help and for such a quick reply :-)

Haha, no problem! Thanks and if you have a minute, please hop over to http://codecanyon.net/downloads and click 5 stars, it will help a lot. Take care!

hi. pls can i use this plugin with any other woocommerce gateway aside from or part from paypal?

Yes, can be used with ANY gateway

ignus

ignus Purchased

Having problem trying to acivate :(

Fatal error: Cannot redeclare custom_override_checkout_fields() (previously declared in /home/cjicnuuk/public_html/xxx/wp-content/themes/bridge/woocommerce/woocommerce_configuration.php:70) in /home/cjicnuuk/public_html/xxx/wp-content/plugins/wc-digi-checkout-websmacker/woocommerce-checkout-downloads.php on line 46

Please message me via my profile page and I will send you a new version of the plugin

Fatal error: ==> I see similar issue, you should update it to be ready for all client . or create file comment issue and guide to fix, then let them fix themself

Hello – Great idea! Love to have the Country at least show – so we can gauge our visitors + can we use Polylang for this plugin?

Can be customized to show country, just send PM after purchase

presale: are u still working on this plugin?

Yes, the plugin is still supported and works with the latest versions. Let us know if you have any issues. Thanks!

Hey.

During the checkout the customer gets asked for additional information which I don’t want to see below for the screenshot. https://s11.postimg.org/aftljcqb7/for_digital_products.png

Please send a PM on my profile page

Hi. This plugin is no longer compatible with Woo Commerce. Specifically, when an order is placed it gives this error. “The get_product function is deprecated since version 3.0. Replace with wc_get_product.” Plus, this error: virtual was called incorrectly. Product properties should not be accessed directly. Backtrace: require(‘wp-blog-header.php’), require_once(‘wp-includes/template-loader.php’), do_action(‘template_redirect’), WP_Hook->do_action, WP_Hook->apply_filters, call_user_func_array, WC_AJAX::do_wc_ajax, do_action(‘wc_ajax_checkout’), WP_Hook->do_action, WP_Hook->apply_filters, call_user_func_array, WC_AJAX::checkout, WC_Checkout->process_checkout, WC_Checkout->get_posted_data, WC_Checkout->get_checkout_fields, apply_filters(‘woocommerce_checkout_fields’), WP_Hook->apply_filters, call_user_func_array, pd_custom_override_checkout_fields, WC_Abstract_Legacy_Product->__get, wc_doing_it_wrong. This message was added in version 3.0.” When you disable the plugin you do not get that error. Are you going to update the plugin? I read that the plugin is not getting updated because it does not need an update. I think now it does. I have WordPress 4.7.4, Woo Commerce 3.0.7 and Digital Goods Checkout for WooCommerce 1.4, Thanks!

I’ll take a look, thanks

As the above comment, this plugin sadly no longer works for me with the new version of Woocommerce. If I disable the plugin the error message disappears.

Hi – I just installed the latest wordpress and woocommerce 3.0.8 and it is working fine. Can you update to woocommerce 3.0.8 and try again? If you have issues, please send me wordpress login details through my profile page.

Hi there,

I have been using your plugin for a very long time, it works like a charm!

But when I updated Woocommerce to the latest version 3.0.7, I found your plugin stopped working, my customers have to enter all the information in the checkout page, like country/state/city/city/phone etc.

Could you please update this plugin to make it compatible with the latest version of Woocommerce?

Thank you very much!

Charles

Hi – I just installed the latest wordpress and woocommerce 3.0.8 and it is working fine. Can you update to woocommerce 3.0.8 and try again? If you have issues, please send me wordpress login details through my profile page.

I have tried many times and still be asked to put all the personal details. I also disabled all the plugins except Woocommerce, still have the same problem.

Will send you login details.

Thank you

Charles

Thank you very much! : )

Charles

Hi There,

I have variable digital download products. Does it exclude address,Phone number for variable digital download products?

Yes, it will exclude for variable as well

wooguy

wooguy Purchased

Hi Dan, Purchased two of your plugins and use them both constantly. Thanks for the great work.

I updated to the latest Digital Goods Checkout for WooCommerce and it is showing v1.3 in my plugin panel but on the change log you show v1.5

I am currently running v1.4. Not sure which one I should stick with.

Thanks Alec

Thanks for the feedback Alec! The latest version should be v1.5 – I’ll take a look to see why the latest isn’t on Codecanyon.

You should get a notification from Codecanyon within the next 24 hours with an updated version. Thanks!

wooguy

wooguy Purchased

Hey Dan- that was fast! Thanks for the great support. Hope you continue to develop plugins for Woocommerce.

Does this work for digital audio downloads?

Righteeoh. Thanks!

Hi, Very good plugin, thank you very much I have one question. How can I make a field email full-width

Hi – the field width is not part of the plugin. IF you would like, I can modify that for you for a small fee. Please send a PM via my profile page and we can discuss.

Pre Sales Question: Any update if it works with Stripe or Subscription products?

Hi there, can you give me an email or support page so I can get in touch?

Thanks.

Using Square I am getting this error preventing transactions from completing.

Array ( [0] => stdClass Object ( [category] => INVALID_REQUEST_ERROR [code] => INVALID_ENUM_VALUE [detail] => “ is not a valid enum value for `billing_address.country`. [field] => billing_address.country ) ) Order status changed from Pending payment to Failed.

Please advise how I can correct this

Purchase code c6aecd39-a783-4277-b83e-2ba3828b967c Website www.myfitnessvive.com The product is not showing in the store. How can this be fixed?

Again, that’s woocommerce. My plugin just hides fields on the checkout page for digital products

I am not asking about woocommerce that working fine. I am asking for a detail video showing from begin to end the setup, how to upload the digital product using the digital goods plugin that I purchased. You are the author for this plugin correct?

In woocommerce product make sure to check mark digital goods

by
by
by
by
by
by